This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 740687 - Review Request: python-pygraphviz - PyGraphviz package for Python
Review Request: python-pygraphviz - PyGraphviz package for Python
Status: CLOSED DUPLICATE of bug 1167460
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-22 19:09 EDT by Vedran Miletić
Modified: 2015-01-12 03:11 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-14 04:09:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
specfile (2.65 KB, text/x-rpm-spec)
2011-12-25 16:44 EST, Vedran Miletić
no flags Details

  None (edit)
Description Vedran Miletić 2011-09-22 19:09:03 EDT
Spec URL: http://www.inf.uniri.hr/~vmiletic/pygraphviz/python-pygraphviz.spec
SRPM URL: http://www.inf.uniri.hr/~vmiletic/pygraphviz/python-pygraphviz-1.1-1.fc15.src.rpm
Description: 
PyGraphviz is a Python interface to the Graphviz graph layout and visualization\
 package. With PyGraphviz you can create, edit, read, write, and draw graphs us\
ing Python to access the Graphviz graph data structure and layout algorithms. P\
yGraphviz is independent from NetworkX but provides a similar programming inter\
face.
Comment 1 Vedran Miletić 2011-09-22 19:10:12 EDT
It's heavily based on python-networkx and therefore full of commented out stuff, I will remove that for the final version.
Comment 2 Scott Tsai 2011-12-22 03:13:51 EST
The SPEC and SRPM URLs no longer work.
Vedran, are you still interested in submitting this package?
Comment 3 Vedran Miletić 2011-12-25 16:43:51 EST
Hi Scott,

thanks for getting back to me. Yes, I'm interested, as it's a dependency for http://fedoraproject.org/wiki/Features/Ns3

I will attach the specfile here. It's still full of commented out stuff and lacks python3 package, I will sort that out that for the final version.
Comment 4 Vedran Miletić 2011-12-25 16:44:20 EST
Created attachment 549513 [details]
specfile
Comment 5 Robin Lee 2012-01-09 01:55:38 EST
The specfile can't build since the '%files doc' section is commented out. And it should be cleaned up a bit before beginning serious review.
Comment 6 Fabian Affolter 2012-12-29 10:18:16 EST
Vedran, dou you still want to go on with this package?
Comment 7 Vedran Miletić 2012-12-29 10:37:20 EST
Fabian, actually yes. I need to be sponsored, as I'm not a packager yet.
Comment 8 Robin Lee 2012-12-30 03:36:06 EST
Oh, I am not a sponsor and resign from the assignee.
Comment 9 Jos de Kloe 2013-02-14 08:28:32 EST
Hi Vendran,

same for me, I cannot yet be a sponsor for you, but I am willing to test and informally review your request.
Could you please provide an updated spec file?
(the original one provided 2011-09-22 seems no longer accessible).
Comment 10 Fabian Affolter 2013-08-15 03:27:24 EDT
The following page can help: https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group
Comment 11 Vedran Miletić 2014-06-14 04:09:30 EDT
Jos, thank you for your offer, but I don't have time to work on this anymore. Perhaps we could reopen this at some point assuming there is sufficient time and interest.

Apologies for replying late.
Comment 12 Zbigniew Jędrzejewski-Szmek 2014-11-24 14:06:15 EST
Vedran, I want to pick this up, it is needed as a dependency for pysb. Do you still intend to work on this? Otherwise, I'll fix submit it myself.
Comment 13 Vedran Miletić 2014-11-24 14:08:23 EST
Sure, go ahead.
Comment 14 Thomas Spura 2014-11-25 10:06:20 EST

*** This bug has been marked as a duplicate of bug 1167460 ***
Comment 15 Parag AN(पराग) 2015-01-12 03:11:31 EST
Removing FE-NEEDSPONSOR from the closed review tickets.

Note You need to log in before you can comment on or make changes to this bug.